Bug 237334 - Review Request: perl-Crypt-OpenSSL-RSA -- Perl OpenSSL bindings for RSA support
Review Request: perl-Crypt-OpenSSL-RSA -- Perl OpenSSL bindings for RSA support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 237331
Blocks: perl-Net-DNS-SEC
  Show dependency treegraph
 
Reported: 2007-04-20 16:35 EDT by Wes Hardaker
Modified: 2008-06-16 16:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 12:05:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wes Hardaker 2007-04-20 16:35:38 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-RSA.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-RSA.spec
Description:  A Perl wrapper around OpenSSL's RSA cryptography library.

(I don't currently have a sponsor, although there are other packages
I've submitted as well tagged as needing a sponsor as well).
Comment 1 Bernard Johnson 2007-04-30 13:14:08 EDT
Please post SRPM.
Comment 3 Wes Hardaker 2007-05-08 16:58:27 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-RSA.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-RSA-0.24-2.src.rpm

- Add BuildRequire openssl-devel
- Don't manually require openssl
- Use vendorarch instead of vendorlib
Comment 4 Wes Hardaker 2007-05-14 20:36:51 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-RSA.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-RSA-0.24-3.src.rpm

- BuildRequire perl(Test) perl(ExtUtils::MakeMaker) perl(Crypt::OpenSSL::Bignum)
- Fixed source code URL
Comment 5 Jason Tibbitts 2007-05-26 02:16:09 EDT
I put the dependencies in a local repo so I could get this built.  It will be
nice when rawhide is rawhide again.

I note that 0.25 has come out since you submitted this review.  (It never
fails.)  I don't think it will significantly affect the packaging, but I note
that the author has added a LICENSE file which you will need to package.  I'll
proceed to review 0.24 but if you'd like me to review a 0.25 package as well,
just post it and I'll do so.

* source files match upstream:
   5de946bf19cd96317418a422a44cb0ebea6e17e42ef1485489e67df0a6acb259  
   Crypt-OpenSSL-RSA-0.24.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (including all modules used by the tests)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   RSA.so()(64bit)
   perl(Crypt::OpenSSL::RSA) = 0.24
   perl-Crypt-OpenSSL-RSA = 0.24-3.fc7
  =
   libcrypto.so.6()(64bit)
   libssl.so.6()(64bit)
   perl(:MODULE_COMPAT_5.8.8)
   perl(AutoLoader)
   perl(Carp)
   perl(Crypt::OpenSSL::Random)
   perl(DynaLoader)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=137,  1 wallclock secs ( 0.20 cusr +  0.03 csys =  0.23 CPU)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.

APPROVED
Comment 6 Wes Hardaker 2007-05-31 17:27:06 EDT
The 0.25 actually comes from a license requirement.  One of his other modules
had no requirement at all and was needed.  He updated this one as well just to
add the license file (though the pod already had it noted, so it worked for
fedora with 0.24 anyway).
Comment 7 Wes Hardaker 2007-05-31 17:33:42 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-RSA.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-RSA-0.25-1.src.rpm

Turns out there was a bug fix in 0.25 too, so it's probably better to run with
it  than the 0.24.  Could you double check this and we can call it good?
Comment 8 Jason Tibbitts 2007-06-01 01:59:43 EDT
Yes, everything still looks fine.  The license text is actually included
upstream now, and is included in the package.
Comment 9 Wes Hardaker 2007-06-01 11:51:27 EDT
New Package CVS Request
=======================
Package Name: perl-Crypt-OpenSSL-RSA
Short Description: Perl OpenSSL bindings for RSA support
Owners: wjhns174@hardakers.net
Branches: FC-6 F-7
InitialCC: 
Comment 10 Jason Tibbitts 2007-06-01 16:15:25 EDT
CVS done.
Comment 11 Jason Tibbitts 2007-06-07 19:25:14 EDT
Please don't forget to close this bug once the package has been imported and built.
Comment 12 Wes Hardaker 2007-06-20 19:08:39 EDT
I'm having issues building this on koji on *only* x86_64.  I suspect this is an
issue with koji itself that I need help fixing.

Koji shows it failing to build because it's missing perl(Crypt::OpenSSL::Random)
and ...BigNum.  

http://koji.fedoraproject.org/koji/getfile?taskID=44124&name=root.log

But koji shows it's built those successfully in May:

http://koji.fedoraproject.org/koji/taskinfo?taskID=16403


All the other architectures (ppc, x86, ...) don't hit this problem.  Why is just
the x86_64 arch in koji not finding the prereqs?  Ideas?  who do I report this to?
Comment 13 Jason Tibbitts 2007-06-20 19:16:58 EDT
I don't see that perl-Crypt-OpenSSL-Random is F7 for any arch, and according to
the build log it doesn't get a chance to fail on anything other than x86_64
because as soon as one arch fails the other builds are cancelled.

So, you built perl-Crypt-OpenSSL-Random but did you ever go to
http://admin.fedoraproject.org/updates and ask that it be added to the distro?
Comment 14 Wes Hardaker 2007-06-29 11:40:25 EDT
Nope.  I didn't.  I, unfortunately, hit the learning curve right as things were
changing for extras->core.  So a lot of the documentation I read spinning up on
things were how things were handled in extras where you didn't need to that...

Sorry about the delay on all of these; a few other projects at work all exploded
at once.  I'll get them wrapped up ASAP.
Comment 15 Jason Tibbitts 2007-06-29 11:56:28 EDT
If you need assistance, just ask.
Comment 16 Wes Hardaker 2007-07-05 17:53:01 EDT
I publised as requested into bodhi/admin and they (Bugnum and Random) got
flagged as ok for testing (possibly by you).  However, the following document:

  http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT

doesn't mention what the requirements are for pushing something back into koji
for use there.  Specifically, either:

1) koji takes a bit to pull in new packages
2) koji can't use testing rpms.

Either 1, 2 or both is currently still an issue.  Neither of which are a
problem, but I think they're worth documenting in the FAQ...
Comment 17 Wes Hardaker 2007-07-09 12:05:33 EDT
Yay!

(note just for competion: it took a note to rel-eng to tag -bignum and -random
so that koji could build this without those two being stable)
Comment 18 Wes Hardaker 2008-06-16 16:36:54 EDT
Package Change Request
======================
Package Name: perl-Crypt-OpenSSL-RSA
New Branches: EL-4 EL-5
Comment 19 Dennis Gilmore 2008-06-16 16:53:20 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.